Man-in-the-Middle (MitM)

Affecting slyphon-log4j gem, versions >=0.0.0

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

slyphon-log4j is a log4j jar file in a gem.

Affected versions of this package are vulnerable to Man-in-the-Middle (MitM). Improper validation of certificate with host mismatch in Apache Log4j SMTP appender. This could allow an SMTPS connection to be intercepted by a man-in-the-middle attack which could leak any log messages sent through that appender.

Remediation

There is no fixed version for slyphon-log4j.

References

CVSS Score

3.7
low severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N
Credit
Unknown
CVE
CVE-2020-9488
CWE
CWE-297
Snyk ID
SNYK-RUBY-SLYPHONLOG4J-567767
Disclosed
27 Apr, 2020
Published
28 Apr, 2020